Bug 767861 - lxdm-binary taking 100% cpu
lxdm-binary taking 100% cpu
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: lxdm (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-14 20:51 EST by Andy Grover
Modified: 2012-04-03 15:55 EDT (History)
7 users (show)

See Also:
Fixed In Version: lxdm-0.4.1-1.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-23 13:42:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Andy Grover 2011-12-14 20:51:58 EST
Description of problem: lxde-based vm is very slow since lxdm-binary is hogging the cpu


Version-Release number of selected component (if applicable):
lxdm-0.3.0-5.fc17

How reproducible:
always. regression from f16.
Comment 1 Christoph Wickert 2011-12-17 15:53:56 EST
Can you give me a strace in order to find out what lxdm is doing?
Comment 2 Andy Grover 2011-12-19 19:38:15 EST
2 cycles:

poll([{fd=6, events=POLLIN}, {fd=7, events=POLLIN}, {fd=4, events=POLLIN}], 3, -1) = 1 ([{fd=6, revents=POLLIN}])
read(6, "\2\0\0\0\0\0\0\0", 16)         = 8
write(6, "\1\0\0\0\0\0\0\0", 8)         = 8
recvmsg(4, 0x7fff81171130, 0)           = -1 EAGAIN (Resource temporarily unavailable)
write(6, "\1\0\0\0\0\0\0\0", 8)         = 8
poll([{fd=6, events=POLLIN}, {fd=7, events=POLLIN}, {fd=4, events=POLLIN}], 3, -1) = 1 ([{fd=6, revents=POLLIN}])
read(6, "\2\0\0\0\0\0\0\0", 16)         = 8
write(6, "\1\0\0\0\0\0\0\0", 8)         = 8
recvmsg(4, 0x7fff81171130, 0)           = -1 EAGAIN (Resource temporarily unavailable)
write(6, "\1\0\0\0\0\0\0\0", 8)         = 8
Comment 3 Steven Usdansky 2012-02-17 11:16:06 EST
I'm still seeing this with lxdm-0.3.0-6.fc17 (i686).
Comment 4 dgod.osa 2012-02-28 03:51:08 EST
100% cpu likely a bug in lxdm, appeared in f17 because of new version of glib,
have been fixed in upstream.
Comment 5 masami256 2012-03-02 11:45:21 EST
I found a patch in ubuntu package that fixes this issue for me. I got a patch from following package that called 90_fix_event_check.patch.
https://launchpad.net/ubuntu/+source/lxdm/0.4.1-0ubuntu5

This patch changes lxcom_check()'s return value.
 static gboolean lxcom_check(GSource *source)
 {
-       return TRUE;
+       return (((LXComSource*)source)->poll.revents&G_IO_IN)?TRUE:FALSE;
 }
Comment 6 Christoph Wickert 2012-03-02 12:28:27 EST
That patch is from http://lxde.git.sourceforge.net/git/gitweb.cgi?p=lxde/lxdm;a=commit;h=d4e41ecb and I have it in my package, too. However I now have two problems with LXDM 0.4.1:
1. It's not switching VTs, this means the computer boots up and LXDM is starting on VT7, but display keeps showing vt1 with a blinking cursor.
2. Sometimes LXDM is not starting.

If this both works for you, can you show me your lxdm.conf?
Comment 7 masami256 2012-03-02 20:17:29 EST
I made lxdm 0.4.1 package for myself ant tested it.

>1. It's not switching VTs, this means the computer boots up and LXDM is
starting on VT7, but display keeps showing vt1 with a blinking cursor.
I have same issue too.

>2. Sometimes LXDM is not starting.
I checked(reboot and login) 12-15 times but I didn't reproduce it.

Anyway, this is my lxdm.conf. 
[base]
## uncomment and set autologin username to enable autologin
# autologin=dgod

## uncomment and set timeout to enable timeout autologin,
## the value should >=5
# timeout=10

## default session or desktop used when no systemwide config
# session=/usr/bin/startlxde

## uncomment and set to set numlock on your keyboard
# numlock=0

## set this if you don't want to put xauth file at ~/.Xauthority
# xauth_path=/tmp

## greeter used to welcome the user
greeter=/usr/libexec/lxdm-greeter-gtk

[server]
## arg used to start xserver, not fully function
# arg=/usr/bin/X -background vt1

[display]
## gtk theme used by greeter
gtk_theme=Clearlooks

## background of the greeter
bg=/usr/share/backgrounds/default.png

## if show bottom pane
bottom_pane=1

## if show language select control
lang=1

## if show keyboard layout select control
keyboard=0

## the theme of greeter
theme=Industrial

[input]

[userlist]
## if disable the user list control at greeter
disable=0

## whitelist user
white=

## blacklist user
black=
Comment 8 masami256 2012-03-02 21:16:02 EST
If I uncomment "# arg=/usr/bin/X -background vt1" line, lxdm works as f16 does.
Fedora 16's lxde.conf is uncommented this line.

[server]
## arg used to start xserver, not fully function
# arg=/usr/bin/X -background vt1

fedara 16 and 17 use these VTs.  
vt1:lxde
vt2:console
vt3:console 
vt4:console
vt5:console
vt6:console
vt7:cursor is blinking

I checked lxdm latest source[1], and 0.4.1 that is release version.

[1]http://lxde.git.sourceforge.net/git/gitweb.cgi?p=lxde/lxdm;a=tree;h=43a30962ac7a68ddef8eed8900153049ceba3340;hb=8c71ffc87305a5742d3ed9f98134cee31117ddd3)
Comment 9 Fedora Update System 2012-03-21 16:50:13 EDT
lxdm-0.4.1-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/lxdm-0.4.1-1.fc17
Comment 10 Fedora Update System 2012-03-21 16:52:50 EDT
lxdm-0.4.1-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/lxdm-0.4.1-1.fc16
Comment 11 Fedora Update System 2012-03-21 16:59:34 EDT
lxdm-0.4.1-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/lxdm-0.4.1-1.fc15
Comment 12 Fedora Update System 2012-03-21 21:55:31 EDT
Package lxdm-0.4.1-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing lxdm-0.4.1-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-4399/lxdm-0.4.1-1.fc16
then log in and leave karma (feedback).
Comment 13 Fedora Update System 2012-03-23 13:42:52 EDT
lxdm-0.4.1-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2012-04-03 15:53:42 EDT
lxdm-0.4.1-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2012-04-03 15:55:34 EDT
lxdm-0.4.1-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.